Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools
Class ChannelServlet.Worker

    java.lang.Object
      org.jasig.portal.tools.ChannelServlet.Worker

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ChannelServlet

    protected class ChannelServlet.Worker

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`private IChannel` | `channel`
`private org.xml.sax.ContentHandler` | `contentHandler`
`private boolean` | `done`
`private java.lang.Exception` | `exc`
`private ChannelRuntimeData` | `rd`
`private boolean` | `successful`

Constructor Summary
`ChannelServlet.Worker(IChannel ch, ChannelRuntimeData runtimeData, org.xml.sax.ContentHandler dh)`

Method Summary
`boolean` | `done()`
`java.lang.Exception` | `getException()`
`void` | `run()`
`boolean` | `successful()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### successful

    private boolean successful

### done

    private boolean done

### channel

    private IChannel channel

### rd

    private ChannelRuntimeData rd

### contentHandler

    private org.xml.sax.ContentHandler contentHandler

### exc

    private java.lang.Exception exc

Constructor Detail

### ChannelServlet.Worker

    public ChannelServlet.Worker(IChannel ch,
                                 ChannelRuntimeData runtimeData,
                                 org.xml.sax.ContentHandler dh)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### successful

    public boolean successful()

### done

    public boolean done()

### getException

    public java.lang.Exception getException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD